package org.telegram.io;

import android.util.Log;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * Created by Ahmad Nemati on 1/26/19.
 */
public class Proxy {
    @SerializedName("id")
    @Expose
    private int id;




    @SerializedName("appSec")
    @Expose
    private int appSec=5;


    @SerializedName("appRetry")
    @Expose
    private int appRetry=8 ;






    @SerializedName("ip")
    @Expose
    private String ip;
    @SerializedName("port")
    @Expose
    private int port;
    @SerializedName("secret")
    @Expose
    private String secret;
    @SerializedName("owner")
    @Expose
    private int owner;
    @SerializedName("delete")
    @Expose
    private int delete;
    @SerializedName("status")
    @Expose
    private String status;
    @SerializedName("createdAt")
    @Expose
    private String createdAt;
    @SerializedName("updatedAt")
    @Expose
    private String updatedAt;
    @SerializedName("ping")
    @Expose
    private long ping = -1;

    @SerializedName("messageId")
    @Expose
    private String messageId;
    @SerializedName("retry")
    @Expose
    private int retry ;

    @SerializedName("type")
    @Expose
    private String type ;
    @SerializedName("alias")
    @Expose
    private String alias ;
    @SerializedName("aliasId")
    @Expose
    private String aliasId ;
    @SerializedName("instance")
    @Expose
    private String instance ;

    @SerializedName("ipdate")
    @Expose
    private String ipdate ;

    private long dur=0;

    private int connect=0;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public int getOwner() {
        return owner;
    }

    public void setOwner(int owner) {
        this.owner = owner;
    }

    public int getDelete() {
        return delete;
    }

    public void setDelete(int delete) {
        this.delete = delete;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    public String getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }

    public long getPing() {
        return ping;
    }

    public void setPing(long ping) {
        this.ping = ping;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public int getRetry() {
        return retry;
    }

    public void setRetry(int retry) {
        this.retry = retry;
    }


    public int getConnect() {
        return connect;
    }

    public void setConnect(int connect) {
        this.connect = connect;
    }


    public String getType() {
        return type;
    }

    public String getAlias() {
        return alias;
    }

    public String getAliasId() {
        return aliasId;
    }

    public String getInstance() {
        return instance;
    }

    public long getDur() {
        return dur;
    }

    public void setDur(long dur) {
        this.dur = dur;
    }

    public String getIpdate() {
        return ipdate;
    }

    public void setIpdate(String ipdate) {
        this.ipdate = ipdate;
    }


    public int getAppSec() {
        return appSec;
    }

    public int getAppRetry() {
        return appRetry;
    }
}

